Platform
API Keys
Programmatic API key lifecycle
List API keys for the current user
Authorization
bearerAuth AuthorizationBearer <token>
Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Response Body
application/json
application/json
curl -X GET "https://app.axiomatic.software/api/api-keys"[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"prefix": "string",
"lastUsedAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z"
}
]{
"error": "string"
}Create or revoke an API key
Authorization
bearerAuth AuthorizationBearer <token>
Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://app.axiomatic.software/api/api-keys" \ -H "Content-Type: application/json" \ -d '{ "action": "create", "name": "string" }'{}{
"error": "string"
}{
"error": "string"
}